summaryrefslogtreecommitdiffstats
path: root/unittests
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-10-12 23:51:50 -0400
committerMatthewLi <matthew.lijun@huawei.com>2016-10-13 23:14:35 -0400
commit2c7f65363fc429fbf58bacfae9edbf8e601d01c7 (patch)
treebefbfa46d1111a005d997596d0e411c4581b42a4 /unittests
parent690d329a91af99777a0d48cdd2ea84ac7e803c0e (diff)
dovetail tool: setup.py added and path error amend
JIRA: DOVETAIL-26 1)ez_setup.py setup.py is added 2)flake8 is there, then format check can be easily achived in CI later 3)path error amend see details in DOVETAIL-33 Change-Id: Ic19dbac852694adaeecf5cdf6c2ae7c9ea9dbb33 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'unittests')
-rw-r--r--unittests/requirements.txt6
-rwxr-xr-xunittests/unittest.sh38
2 files changed, 44 insertions, 0 deletions
diff --git a/unittests/requirements.txt b/unittests/requirements.txt
new file mode 100644
index 00000000..694a62b4
--- /dev/null
+++ b/unittests/requirements.txt
@@ -0,0 +1,6 @@
+Click
+coverage==4.1b2
+flake8==2.5.4
+Jinja2==2.8
+PyYAML==3.11
+
diff --git a/unittests/unittest.sh b/unittests/unittest.sh
new file mode 100755
index 00000000..1560a90d
--- /dev/null
+++ b/unittests/unittest.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 OPNFV and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run flake8
+# Future, more can be added when necessary, such as coverage/functional/unit check
+# of the dovetail tool
+
+getopts ":f" FILE_OPTION
+
+run_flake8() {
+ echo "Running flake8 ... "
+ logfile=unittest_results.log
+ if [ $FILE_OPTION == "f" ]; then
+ flake8 dovetail > $logfile
+ else
+ flake8 dovetail
+ fi
+
+ if [ $? -ne 0 ]; then
+ echo "FAILED"
+ if [ $FILE_OPTION == "f" ]; then
+ echo "Results in $logfile"
+ fi
+ exit 1
+ else
+ echo "OK"
+ fi
+}
+
+run_flake8